# Class CIM_AllocatedResource
extends CIM_Dependency

An association between LogicalDevices and SystemResources, indicating that the Resource is assigned to the Device.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AllocatedResource

## Direct Known Subclasses

CIM_AllocatedDMA

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | An association between LogicalDevices and SystemResources, indicating that the Resource is assigned to the Device.
UMLPackagePath | string | CIM::System::SystemResources
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AllocatedResource | CIM_SystemResource
Dependent | CIM_AllocatedResource | CIM_LogicalDevice

## Class Methods